AutoCAD Inventor :: Retrieve A Camera Object For The (Home View)
Aug 23, 2012
I'm trying to retrieve a Camera Object for the "Home View", without setting the view to Home.
I use the "UserInteractionDisabled=true" in a addin to make sure the user doesn't mess with the inventor while my addin is doing some time consuming work.
When documents are open in this mode, the view is set to front. The only way I have found to get the camera for Home View, is to use the GoHome method on the ActiveView, but this is slow since it is running an animation...
Roughly im doing the following:
Inventor.UserInterfaceManager.UserInteractionDisabled = true;Document invDoc = Inventor.Documents.Open("c:\somefile.ipt");View v = invDoc.Views[1];v.GoHome(); //would like to not do this, it is animatingCamera cam = v.Camera;//cam.ViewOrientationType = ViewOrientationTypeEnum.kDefaultViewOrientation; //<- this will fail.. Point eye = cam.Eye; Vector up = cam.UpVector.AsVector();Point target = cam.Target;
Is it possible to get the Camera object for Home with "going" home?
I've checked everywhere else for a solution but none apply to me it seems. My keyboard shortcut for returning to the home isometric view (F6) is not working. F3, F4, & F5 all work fine. I've tried returning the cursor focus back to the model window and that doesn't work. I also made sure the shortcut is actually listed in the Customize menu, I even reset all to default in case something was changed.
i can't find where to tell inventor to not switch back to the home view after finish a sketch edit. sometimes it is handy but often it is nice to see the part update after doing some sketch editing rather then the home view spinning the part away. i think we are capable of hitting F6 ourself if we wanted that view.
i have found that inventor 2011 will always do this when you are looking square onto the sketch and then finish the sketch . am i right to say that this is only a 2011 thing? i cannot recall previously this happened. i am finding that i am always finishing my sketch and having to hit F5 after inventor swings away to home view.
We are sometimes faced with the problem that we would like change the coordinate system of the model and have the drawing update it with the new orientation of the part without the need to place every annotation again. This is mostly for legacy parts and assemblies which are not modeled correct according to the coordinate system of the machine.
The following sample code does not work, is this by design or is there an error in the code?
Public Sub RotateFirstView() Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument Dim oDrawView As DrawingView Set oDrawView = oDrawDoc.Sheets(1).DrawingViews(1) Dim oCamera As Camera Set oCamera = oDrawView.Camera Debug.Print oCamera.ViewOrientationType = kFrontViewOrientation oCamera.ViewOrientationType = kIsoBottomLeftViewOrientation oCamera.ApplyEnd Sub
Inventor Professional 2012 SP1 (25 seats with subscription) Windows 7 64 bit Lenovo D20, 12 GB RAM, Intel Xeon X5687 3.6 GHz, SSD Quadro 4000, driver 8.17.12.9573, dual monitors SpacePilot, driver version 6.15.3 Firmware 3.12
I have created a presentation file. When I record it and open up the media file only half of my model is seen throughout the video. Is there any way to widen the camera view?
Just got a Space Navigator the other day, pulled it out of the box all excited that i would be able to rotate models about the center of the camera, which would allow me to get into really tight spots, rotate the model and not have other parts of the model move in front of the camera, therefore blocking my view of what i was trying to see. So out it comes, all software loaded, inventor is open with a tidy structural assembly sittign there waiting to be manipulated by my new shiny toy, and uh no. CAN'T ROTATE ABOUT THE CAMERA! AARRGGGH. right bummer.
I'm pretty sure its an Inventor problem since i know for a fact that you can rotate about the center of the camera usign this device in 3ds max. The 3D navigation tools in inventor are crap anyway, the feature of being able to rotate about camera center should be native in inventor.
using any of 3D connexions devices in Inventor and maybe they have a work around for this. I'm pretty sure i read somewhere that with practice people have been able to 'fly' down pipes in Inventor. But my experience so far would mean that once you get to a bend in the pipe and you rotate the view, you would just rotate yourself straight out of the pipe.
I have published the result of a dynamic simulation to the studio environment in Inventor 2012, and I would like to fix a camera to a point on the face of a simulated object. The camera target is at a point normal to this face, and its position and rotation need to update automatically with the object's current orientation at each time step to create a "point-of-view" video. The motion is too complex to be approximated by a camera path. The dialog box to define the camera allowed me enter a parameter for the rotation, but it was not stored as a variable; it needed to be manually redefined after each time step.
I think it may be possible to create a macro to redefine the camera's position, target, and rotation between each time step of the rendered animation, but I am not at all familiar with the objects and methods of Inventor's VBA. Would it be feasible to create something like this, or is there a simpler way, such as exporting the result of the simulation to another program like 3d Studio Max?
I downloaded pictures from a Samsung camera, and now I can't retrieve pictures, because a message keep popping-up stating that the registration for Photoshop expired, how can I retrieve my photos.
I don't know how to phrase it correctly but the 3d camera tracker inside of After Effects will only apply key frames to the null object. This causes the footage to rotate around itself.
Is there a way to easily add an object from a profile view to a plan view? I have developed a pipeline profile that has high and low points and I would like to show these points on the plan views.
Why Camera Views is different from all other views in Revit. It is simple not possible to add a view reference, or a tag etc. to reference to a camera view.
Of course I can put in a 'dead' symbol to show where it is in plans, but that's simply not the same...
leaving the isolate mode in a camera view (3dsmax-camera or vrayphysical-camera) changes the view from cameraview to perspective view. Am I missing any new setting or ist this a bug...
In the past we filled in our changes, we did on the part, in the iProperties of the IDW. In the IDW we use some Custom iProperties for this. That's not usefull because you want this data in the 3D-model. Now I have written some code to automate this, which works really great. This code works in the IPT as well as the IDW. But what I want to achieve is: When my IPT is the active document, I want to read out the iProperties from the IDW to check if there is already filled some of these properties, because I have to deal with 'old' documents as well.
So my basis question is: How can I read out iProperties from an IDW into the IPT. I have found lots of solutions which go the opposite direction, IPT -> IDW. I want IDW -> IPT.
For some reason when using the path option in inventor studio for camera animation the camera rolls for no reason?? I have created two helical curve sketches around my product, the outer curve is the path for the camera and the inner curve is the path for the target. Both curves are the same height and have 1 revolution. When i play the camera it works out fine untill it hits 1/4 of the way through and suddenly flips 180 degrees so now the camera is upside down, once it hits 3/4 of the way it flips back again to the correct rotation. If i dont create an inner curve for the target and place the target directly in the centre of my product with no path to follow the camera spins all over the place when it follows the curve.
I have created a pipe using sweep through 2 planes and 3d sketch. I want a specific bend on that pipe to be extracted for drawing purpose. How do I do that ?
I try to retrieve the values of an occurrence in an assembly document, same as when I click on 'Change size' (see the attachment).
I Know how to get key values (from list) from content center family member (Getting data from content center) but for the expression values (from user entries), I found nothing.
In Inventor 2010 is it possible to retrieve the dimensions from the weld in an idw without rewriting this dimensions?Now when hitting weldings in idw the symbol stays empty.
I've recently been playing with the "Retrieve Dimension" feature in IDWs to pull the model dimensions and tolerances from the IPT. I'm wondering if I am understanding the behavior correctly.
The IPT Document Settings > Default Tolerance "Use" and "Export" standard tolerance values boxes are checked.
I have standard tolerances defined for .xx and .xxx precisions. Default in the IPT is .xxx.
If I place a sketch dimension and extrude a feature, place that part in an IDW, and "Retrieve Dimension," the result is that the dimension's precision and tolerance are defined by the active IDW style.
However, if I place the sketch dimension, and then modify its precision to be something other than the IPT default, when I "Retrieve Dimension" in the IDW, it pulls the modified precision and tolerance from the IPT settings.
Is this the expected behavior? When I see the box in the IPT Default Tolerance tab that says "Export Standard Tolerance Values," I understand that to mean that the standard tolerance values in the IPT will be propagated to the IDW. Is this incorrect?
The code that follows is my attempt to explode the BOM and retrieve the UnitQuantity. When I look at the BOMQuantity object, BaseUnits is always nothing, and UnitQuantity is nothing.
Dim i As Long For i = 1 To oBOMView.BOMRows.Count Dim oRow As Inventor.BOMRow oRow = oBOMView.BOMRows.Item(i) Dim oCompDef As Inventor.ComponentDefinition
I am trying to retrieve dimensions from an assembly. The features that I want were created in the assembly itself, not on the original parts in the assembly. I can manually dimension some of the features, but there are others that I need to retrieve. When I retrieve dimensions from the assembly, I am only given the original dimensions for the parts.
Some months ago I created an iLogic code that creates all my notes that I use in my drawings, linked to a form. A good tool the made my work a little easy. Now I wanna make an update on it.
In my code I create a sketchedSymbol and then some textBoxes with my notes, but before that I erase all the Symbols in all sheets and then the main Symbol itself. Then I create again the symbol and textBox in a specific point of my Sheet. So, everytime that I need to update my Notes, it goes to that point of the sheet, it's not a problem, but it's annoying have to move them always to the correct place. And i can't use a specific final point for the notes because it may change according to the drawing.
So, my idea is:
If the Symbol is already created, how can I get its position ?
I create the points with TransientGemometry and then CreatePoint2D, but I dont know how to retrieve these points, even if that is possible.
The code I use is that below (I just erase the notes because it was too big, this is just the main code creating the stuffs).
' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument oDrawDoc = ThisApplication.ActiveDocument'Update the document oDrawDoc.Update'apaga o symbol existente em cada sheet Dim oSheets
I'm editing someone's 2d inventor dwg, and want to show a part behind an object in the section that isn't currently showing (the part I want to show is on the model, in the appropriate level of detail referenced by the 2d view.)
I believe that the author turned the line visibility off. Is there a way to turn all line visibility back on in a 2d view?
I was trying to reposition a retrieved dimension in drawing. I was able to position the text, however the dimension line however still stays in its default retrieved position. how I can reposition the dimension line as well?
Dim mydim As Inventor.ObjectCollection Dim invDimConstraints As DimensionConstraints Dim invDimConstraint As DimensionConstraint invDimConstraints = invPartDef.Sketches.Item("MySketch").DimensionConstraints
I want to retrieve dimensions in a drawing with ilogic. I found some code but how to translate it into a ilogic code.
I always use assembly models in these drawing and all the parameters have unique names. So in my drawing i want to retrieve some specific dimensions in a view.